using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ImageBoardServerApp.Data;

public class CommentData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int CommentID { get; set; }
    
    [Required] 
    public int PostID { get; set; }
    
    //[ForeignKey("PostID")]
    public virtual PostData Post { get; set; }

    [Required]
    public int UserID { get; set; }
    
    //[ForeignKey("UserID")] 
    public virtual UserData User { get; set; }
    
    //[ForeignKey("ImageID")]
    public virtual ImageData? Image { get; set; }
    
    public int? ImageID { get; set; }
    
    [Required]
    public string Content { get; set; }
    
    [Required]
    public string Username { get; set; }
    
    [Required]
    public string Board { get; set; }
    
    [Required]
    public long CreatedAt { get; set; }
    
    public ReportData? Report { get; set; }
    
    public int GET { get; set; }
    
}